import { Component, ChangeDetectionStrategy, Input, Output, EventEmitter } from '@angular/core';
var FileUploadPreviewComponent = (function () {
    function FileUploadPreviewComponent() {
        this.selectFiles = [];
        this.removeFile = new EventEmitter();
    }
    FileUploadPreviewComponent.prototype.onRemoveFile = function (fileItem) {
        this.removeFile.emit(fileItem);
    };
    return FileUploadPreviewComponent;
}());
export { FileUploadPreviewComponent };
FileUploadPreviewComponent.decorators = [
    { type: Component, args: [{
                selector: 're-file-upload-preview',
                template: "\n    <div class=\"file-upload-preview\"><table class=\"table\"><tbody><tr *ngFor=\"let fileItem of selectFiles\"><td *ngIf=\"imgPreview\"><a [href]=\"fileItem.dataUrl\" target=\"_blank\"><img *ngIf=\"fileItem.dataUrl\" class=\"img-responsive\" [src]=\"fileItem.dataUrl\" [attr.alt]=\"fileItem.file.name\" [style.width]=\"previewWidth || ''\"></a></td><td>{{fileItem.name}}</td><td>{{fileItem.displaySize}}</td><td><i *ngIf=\"!uploaded\" class=\"glyphicon glyphicon-trash text-danger\" (click)=\"onRemoveFile(fileItem)\"></i> <i *ngIf=\"uploaded\" class=\"glyphicon glyphicon-ok text-success\"></i></td></tr></tbody></table></div>\n  ",
                changeDetection: ChangeDetectionStrategy.OnPush,
                exportAs: 'fileUploadPreview'
            },] },
];
/** @nocollapse */
FileUploadPreviewComponent.ctorParameters = function () { return []; };
FileUploadPreviewComponent.propDecorators = {
    'imgPreview': [{ type: Input },],
    'previewWidth': [{ type: Input },],
    'uploaded': [{ type: Input },],
    'selectFiles': [{ type: Input },],
    'removeFile': [{ type: Output },],
};
//# sourceMappingURL=file-upload-preview.component.js.map