import { Component, ContentChildren, Input, Output, EventEmitter } from '@angular/core';
import { TabComponent } from './tab.component';
import { RebirthNGConfig } from '../rebirth-ng.config';
var TabsComponent = (function () {
    function TabsComponent(rebirthUIConfig) {
        this.type = 'tabs';
        this.activeTabChange = new EventEmitter();
        this.type = rebirthUIConfig.tabs.type;
        this.justified = rebirthUIConfig.tabs.justified;
        this.vertical = rebirthUIConfig.tabs.vertical;
    }
    TabsComponent.prototype.ngAfterContentInit = function () {
        if (!this.activeTab && this.tabs.length) {
            this.select(this.tabs.first.id);
        }
    };
    TabsComponent.prototype.select = function (id) {
        var tab = this.tabs.find(function (item) { return item.id === id; });
        if (tab && !tab.disabled) {
            this.activeTab = id;
            this.activeTabChange.emit(id);
        }
    };
    return TabsComponent;
}());
export { TabsComponent };
TabsComponent.decorators = [
    { type: Component, args: [{
                selector: 're-tabs',
                template: "\n    <ul class=\"nav nav-{{type}} {{cssClass}}\" [ngClass]=\"{'nav-stacked': vertical,'nav-justified': justified}\" role=\"tablist\"><li role=\"presentation\" *ngFor=\"let tab of tabs\" [class.disabled]=\"tab.disabled\" [class.active]=\"tab.id == activeTab\" (click)=\"select(tab.id)\"><a role=\"tab\" data-toggle=\"tab\" [attr.aria-expanded]=\"tab.id == activeTab\"><ng-template *ngIf=\"!tab.title\" [ngTemplateOutlet]=\"tab.titleTpl?.templateRef\"></ng-template><span *ngIf=\"tab.title\">{{tab.title}}</span></a></li></ul><div class=\"tab-content\"><ng-container *ngFor=\"let tab of tabs\"><div class=\"tab-pane fade in\" role=\"tabpanel\" *ngIf=\"tab.id == activeTab\" [ngClass]=\"{'in active': tab.id == activeTab}\"><ng-template [ngTemplateOutlet]=\"tab?.contentTpl?.templateRef\"></ng-template></div></ng-container></div>\n  ",
                exportAs: 'tabs'
            },] },
];
/** @nocollapse */
TabsComponent.ctorParameters = function () { return [
    { type: RebirthNGConfig, },
]; };
TabsComponent.propDecorators = {
    'type': [{ type: Input },],
    'activeTab': [{ type: Input },],
    'vertical': [{ type: Input },],
    'justified': [{ type: Input },],
    'cssClass': [{ type: Input },],
    'tabs': [{ type: ContentChildren, args: [TabComponent,] },],
    'activeTabChange': [{ type: Output },],
};
//# sourceMappingURL=tabs.component.js.map